Subject: [bug#40130] [PATCH 0/8] Add 'with-build-handler' and use it to improve UI feedback

From: Ricardo Wurmus <[email-masked]>
Date: Sun, 22 Mar 2020 13:44:13 +0100

Ludovic Courtès <[email-masked]> writes:

> Ludovic Courtès <[email-masked]> skribis:
>
>> This patch series is to always display upfront what’s going to
>> happen, even in the presence of “dynamic dependencies” (grafts),
>> as was reported at:
>>
>>   https://issues.guix.gnu.org/issue/28310
>>
>> With this patch, any time ‘build-things’ is called, we have an
>> opportunity to display what’s going to happen and to choose
>> whether or not to actually build things (dry runs).
>
> Pushed with a0f480d623f71b7f0d93de192b86038317dc625b along with related
> changes.

Thank you for this improvement that used to be always out of reach!

(I don’t fully understand it yet, which is why I couldn’t give any
comments sooner, but I’ll try <take the time to study this later.)

--
Ricardo